Subject: Re: bug#23180: 2016-01-31; Auto-capitalize and change env

From: Mosè Giordano <[email-masked]>
Date: Fri, 1 Apr 2016 14:58:57 +0200

2016-04-01 14:27 GMT+02:00 Uwe Brauer <[email-masked]>:
>
>     > 2016-04-01 12:47 GMT+02:00 Uwe Brauer <[email-masked]>:
>
>     > Then can we close this? :-)
>
> Hm, I found the recipe:
>
>  emacs -Q
>  load auto-capitalize manually.
>
> Load the following two files
>
> Open a latex buffer and proceed as I said.
>
> The problem is caused by this
>
>
>  (add-hook 'LaTeX-mode-hook 'my-set-auto-capitalize)
>  (defun my-set-auto-capitalize ()
>  (interactive)
>          (set (make-local-variable 'auto-capitalize-predicate)
>               (lambda () (not (texmathp)))))
>
> That was recommended to me by Kevin in order that
> auto-capitalize is deactivated in math environment.
>
> For example
> \begin{equation}
>  A_i
> \end{align}
> should not be expanded to
> \begin{equation}
>  A_I
> \end{align}

Still can't reproduce, and I think there is an error in your recipe.
I guess you start from

\begin{equation}
  A_i
\end{equation}

move anywhere inside the environment, issue C-u C-c C-e "align" RET and get

\begin{equation}
  A_i
\end{align}

Is it correct?  Then I can't reproduce, I get

\begin{align}
  A_i
\end{align}

as expected.

Bye,
Mosè